@charset "utf-8";

/* *****************************
modal__body(スクロールできるところ)
***************************** */
.modal__body {
  padding: 0 var(--contentPadding) 68px; /* ページ送りで消える分の高さ */
}

/* *****************************
body内のheader(works--detail__header)
***************************** */
.works--detail__header {
  margin-top: 82px; /* 閉じるボタン（42px）とtopからの位置(20px×2） */
}

.works__projectName {
  font-size: 2.4rem;
  font-weight: 700;
  line-height: 1.3;
}

/* Webサイト以外 */
.works__projectName-other {
  border-bottom: solid 1px var(--primary-font);
  padding-bottom: 20px;
  font-size: 2.2rem; /* 英語表記の2.4remとサイズ感合わせるため若干小さくする */
}

/* Webサイト以外 */
.works__imgBg-banner {
  margin-top: 36px;
}

/* Webサイト以外 */
.works__img {
  display: block;
  margin: 0 auto;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

/* バナーのみ */
.works__img-banner {
  max-width: 438px;
  width: 100%;
}

.works__category {
  font-size: 1.6rem;
  font-weight: 400;
  margin-top: 7px;
  border-bottom: solid 1px var(--primary-font);
  padding-bottom: 20px;
}

.works__url {
  font-size: 1.4rem;
  padding: 10px 21px;
  display: inline-flex;
  background-color: var(--primary-red);
  margin-top: 12px;
  color: var(--primary-whiteGray);
  border-radius: 15px;
  line-height: 1;
  align-items: center;
}

.works__url:hover {
  opacity: 50%;
}

.works__link {
  width: 14px;
  margin-left: 5px;
}

.works__img-sp {
  margin-top: 36px;
}

.works__img-pc {
  display: none;
}

/* *****************************
body内のheader(works--detail__header) pc
***************************** */
@media screen and (min-width: 768px) {
  .works--detail__header {
    margin-top: 20px; /* 閉じるボタンと高さを揃える */
  }

  .works__projectName {
    font-size: 3rem;
  }

  .works__projectName-other {
    font-size: 2.8rem; /* 英語表記の3remとサイズ感合わせるため若干小さくする */
  }

  /* Webサイト以外 */
  .works__imgBg-banner {
    background-color: #f9f8f8;
    padding: 30px 0;
  }

  .works__category {
    font-size: 2.4rem;
  }

  .works__url {
    margin-top: 18px;
  }

  .works__img-pc {
    display: block;
    margin: 36px auto 0;
  }

  .works__img-sp {
    display: none;
  }
}

/* *****************************
section(works__item)
***************************** */
.works__section {
  margin-top: 12px;
  padding-bottom: 12px;
  border-bottom: dashed 1px var(--primary-font);
}

/* 焚き火ナイトとスグ食べ以外 */
.works__section-production {
  border-bottom: none;
}

.works__section:nth-of-type(1) {
  margin-top: 36px;
}

.works__section:nth-of-type(8) {
  border-bottom: none;
}

.works__section-label {
  font-weight: 700;
  font-size: 1.1rem;
  line-height: 1.5;
  letter-spacing: 0.06em;
  color: var(--primary-red);
}

.works__section-title {
  font-weight: 700;
  font-size: 2rem;
  line-height: 1.5;
  letter-spacing: 0.06em;
}

.works__section-txt {
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 1.5;
  margin-top: 10px;
}

.txt-red {
  font-weight: 700;
  color: var(--primary-red);
}

.txt-green {
  font-weight: 700;
  color: #2b6e4f;
}

.txt-red,
.txt-green {
  position: relative;
  padding-left: 21px; /* 擬似要素4pxを含む */
  display: block;
  font-size: 1.6rem;
}

.txt-red::before,
.txt-green::before {
  position: absolute;
  content: "";
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 4px;
  height: 20px;
  border-radius: 4px;
  background-color: var(--primary-red);
}

.txt-green::before {
  background-color: #2b6e4f;
}

.works__section-txt li {
  position: relative;
  padding-left: 21px; /* 擬似要素2pxを含む */
  margin-top: 5px;
}

.bar-red::before {
  position: absolute;
  content: "";
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 10px;
  height: 2px;
  border-radius: 4px;
  background-color: var(--primary-red);
}

.bar-green::before {
  position: absolute;
  content: "";
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 10px;
  height: 2px;
  border-radius: 4px;
  background-color: #2b6e4f;
}

.works__section-txt p {
  padding-left: 21px;
  margin-top: 5px;
}

.works__section-txt div {
  margin-top: 7px;
}

/* section:デザインimg */
.section--design {
  margin-top: 36px;
  padding-bottom: 0;
}

.works__section-img {
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  gap: 36px;
}

.img-frame {
  width: 100%;
  height: 600px;
  overflow-y: scroll;
  border-radius: 4px;
  border: solid 2px var(--primary-font);
  scrollbar-width: thin;
  scrollbar-color: #ccc var(--primary-bg);
  margin-top: 10px;
}

/* *****************************
section(works__item) pc
***************************** */
@media screen and (min-width: 768px) {
  .works__section {
    display: flex;
    gap: 27px;
    padding-bottom: 18px;
    margin-top: 18px;
  }

  .works__info {
    min-width: 173px;
  }

  .works__section-label {
    font-size: 1.4rem;
  }

  .works__section-title {
    font-size: 2.4rem;
  }

  .works__section-txt {
    margin-top: 21px;
  }

  .works__section-txt div {
    margin-top: 18px;
  }

  .works__section-txt div:first-child {
    margin-top: 0;
  }
  /* section:デザインimg */
  .section--design {
    flex-direction: column;
  }

  .works__section-img {
    flex-direction: row;
    align-items: flex-start; /* 上揃えにする */
    gap: 37px;
    width: 100%; /* 親の幅を100%にする */
  }

  .works__section-img img {
    width: 100%;
    height: auto;
    display: block;
    object-position: top;
  }

  /* PC幅 */
  .works__section-img > div:first-child {
    flex: 0 0 65%;
  }

  /* SP幅 */
  .works__section-img > div:last-child {
    flex: 1;
  }
}

/* *****************************
copy
***************************** */
.modal__copy {
  text-align: center;
  padding-top: 75px;
}

/* *****************************
ページ送り
***************************** */
.section__title-work {
  border-bottom: none;
  padding-bottom: 0;
  font-family: "Noto sans Jp";
  font-size: 2.4rem;
  color: var(--primary-red);
}

.modal__btn {
  display: flex;
  width: 100%;
  justify-content: space-between;
  margin: 0 auto;
  color: var(--secondary-red);
  border-radius: 0 0 15px 15px;
  position: fixed;
  bottom: 0;
  left: auto;
  height: auto;
  background-image: url(../images/future__bg.jpg);
  padding: 16px 20px;
  z-index: 500;
  transform: none;
  transition: none;
  border-top: solid 1px var(--primary-font);
}

.modal__btn a {
  display: inline-block;
  font-size: 1.6rem;
  font-weight: 700;
  transition: all 0.3s ease;
  position: relative;
  padding: 4px;
}

/* BACK */
.modal__btn .is-prev {
  padding-left: 20px;
  position: relative;
}

/* 前へ矢印 */
.modal__btn .is-prev::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 13px;
  height: 13px;
  background-image: url(../images/works__img-arrowSecondary.svg);
  background-size: contain;
  background-repeat: no-repeat;
  transform: translateY(-50%) scaleX(-1);
  transition: left 0.3s ease;
}

/* ホバー時 */
.modal__btn .is-prev:hover::before {
  left: -5px;
}

/* NEXT */
.modal__btn .is-next {
  padding-right: 20px;
  position: relative;
}

/* 次へ矢印 */
.modal__btn .is-next::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 0;
  width: 13px;
  height: 13px;
  background-image: url(../images/works__img-arrowSecondary.svg);
  background-size: contain;
  background-repeat: no-repeat;
  transform: translateY(-50%);
  transition: right 0.3s ease;
}

/* ホバー時 */
.modal__btn .is-next:hover::after {
  right: -5px;
}
